Package de.geolykt.starloader.deobf.access

# Class AccessFlagModifier

java.lang.Object
de.geolykt.starloader.deobf.access.AccessFlagModifier

Direct Known Subclasses:
  `AccessFlagModifier.AccessibleModifier`, `AccessFlagModifier.ExtendableModifier`, `AccessFlagModifier.RemoveFlagModifier`

@Deprecated @ScheduledForRemoval(inVersion="5.0.0") public abstract class AccessFlagModifier extends Object
Deprecated.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AccessFlagModifier.AccessibleModifier`
  Deprecated.
  `static class`
  `AccessFlagModifier.ExtendableModifier`
  Deprecated.
  `static class`
  `AccessFlagModifier.RemoveFlagModifier`
  Deprecated.
  `static enum`
  `AccessFlagModifier.Type`
  Deprecated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `clazz`
  Deprecated.
  `final Optional<String>`
  `descriptor`
  Deprecated.
  `final boolean`
  `isCompileOnly`
  Deprecated.
  `final Optional<String>`
  `name`
  Deprecated.
  `final AccessFlagModifier.Type`
  `type`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessFlagModifier(AccessFlagModifier.Type type, String clazz, Optional<String> name, Optional<String> descriptor, boolean compileOnly)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `apply(int oldAccessFlag)`
  Deprecated.
  `abstract String`
  `toAccessWidenerString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### type

    public final AccessFlagModifier.Type type
    Deprecated.

  - ### isCompileOnly

    public final boolean isCompileOnly
    Deprecated.

  - ### clazz

    public final String clazz
    Deprecated.

  - ### name

    public final Optional<String> name
    Deprecated.

  - ### descriptor

    public final Optional<String> descriptor
    Deprecated.

- ## Constructor Details

  - ### AccessFlagModifier

    public AccessFlagModifier(AccessFlagModifier.Type type, String clazz, Optional<String> name, Optional<String> descriptor, boolean compileOnly)
    Deprecated.

- ## Method Details

  - ### apply

    public abstract int apply(int oldAccessFlag)
    Deprecated.

  - ### toAccessWidenerString

    public abstract String toAccessWidenerString()
    Deprecated.